SMPTE ST 2042-1 (VC-2) Bit Width Calculation Software
=====================================================

This Python package, `vc2_bit_widths`, provides routines computing how many
bits of numerical precision are required for implementations of the for the
SMPTE ST 2042-1 [VC-2 professional video
codec](https://www.bbc.co.uk/rd/projects/vc-2).

To get started, read the [`vc2_bit_widths`
manual](https://bbc.github.io/vc2_bit_widths/) (also available in [PDF
format](https://bbc.github.io/vc2_bit_widths/vc2_bit_widths_manual.pdf)).


See also
--------

This package is part of the [VC-2 conformance
software](https://github.com/bbc/vc2_conformance) project.

The [`vc2_conformance_data`
package](https://github.com/bbc/vc2_conformance_data) provides a precomputed
static filter analysis bundle produced by this software for all VC-2 filters
with a default quantisation matrix defined.

For further information, please conatact [Jonathan
Heathcote](mailto:jonathan.heathcote@bbc.co.uk) or [John
Fletcher](mailto:john.fletcher@bbc.co.uk).


Developers
----------

For details on setting up a developer's installation of this software,
including instructions on building the associated documentation, see the
[developer installation instructions for the main `vc2_conformance`
repository](https://github.com/bbc/vc2_conformance).


License
-------

This software is distributed under the [GNU General Public License version
3](./LICENSE.txt), &copy; BBC 2021.
